# class SISFileRecord

Information about a file component in a SIS file. More...

Definition | `#include <sisfilerecord.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SisRC fillFrom (uint8_t* buf, int* base, off_t len, SISFile* sisFile)
- uint8_t* getDestPtr ()
- uint8_t* getFilePtr (int fileNo)
- void setMainDrive (char drive)

#### Public Members

- uint32_t m_flags
- uint32_t m_fileType
- uint32_t m_fileDetails
- uint32_t m_sourceLength
- uint32_t m_sourcePtr
- uint32_t m_destLength
- uint32_t* m_fileLengths

## Detailed Description

Information about a file component in a SIS file.

The file can be for multiple languages, in which case a single instance holds pointers to contents for all languages.

SisRC fillFrom (uint8_t* buf, int* base, off_t len, SISFile* sisFile)

### fillFrom

Populate the fields.

Parameters:

buf | The buffer to read from.
base | The index to start reading from, which is updated when the record is successfully read.
len | The length of the buffer.
sisFile | The container SISFile.

uint8_t* getDestPtr ()

### getDestPtr

uint8_t* getFilePtr (int fileNo)

### getFilePtr

Return a pointer to the file data for the file for the specified language.

void setMainDrive (char drive)

### setMainDrive

uint32_t m_flags

### m_flags

uint32_t m_fileType

### m_fileType

uint32_t m_fileDetails

### m_fileDetails

uint32_t m_sourceLength

### m_sourceLength

uint32_t m_sourcePtr

### m_sourcePtr

uint32_t m_destLength

### m_destLength

uint32_t* m_fileLengths

### m_fileLengths

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.